darcs-2.18.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Patch.Index.Types

Synopsis

- data FileId = FileId {
  - cname :: AnchoredPath
  - count :: Int
  }
- showFileId :: FileId -> String
- newtype PatchId = PID {
  - patchId :: SHA1
  }
- pid2string :: PatchId -> String
- short :: PatchId -> Int
- zero :: PatchId
- makePatchID :: PatchInfo -> PatchId

# Documentation

data FileId #

The FileId for a file consists of the FilePath (creation name) and an index. The index denotes how many files with the same name have been added before (and subsequently deleted or moved)

Constructors

FileId |
Fields cname :: AnchoredPath count :: Int

#### Instances

Instances details

Binary FileId # |
Instance details Defined in Darcs.Patch.Index.Types Methods put :: FileId -> Put # get :: Get FileId # putList :: [FileId] -> Put #
Show FileId # |
Instance details Defined in Darcs.Patch.Index.Types Methods showsPrec :: Int -> FileId -> ShowS # show :: FileId -> String # showList :: [FileId] -> ShowS #
Eq FileId # |
Instance details Defined in Darcs.Patch.Index.Types Methods (==) :: FileId -> FileId -> Bool # (/=) :: FileId -> FileId -> Bool #
Ord FileId # |
Instance details Defined in Darcs.Patch.Index.Types Methods compare :: FileId -> FileId -> Ordering # (<) :: FileId -> FileId -> Bool # (<=) :: FileId -> FileId -> Bool # (>) :: FileId -> FileId -> Bool # (>=) :: FileId -> FileId -> Bool # max :: FileId -> FileId -> FileId # min :: FileId -> FileId -> FileId #

showFileId :: FileId -> String #

Convert FileId to string

newtype PatchId #

The PatchId identifies a patch and can be created from a PatchInfo with makePatchname

Constructors

PID |
Fields patchId :: SHA1

#### Instances

Instances details

Binary PatchId # |
Instance details Defined in Darcs.Patch.Index.Types Methods put :: PatchId -> Put # get :: Get PatchId # putList :: [PatchId] -> Put #
Show PatchId # |
Instance details Defined in Darcs.Patch.Index.Types Methods showsPrec :: Int -> PatchId -> ShowS # show :: PatchId -> String # showList :: [PatchId] -> ShowS #
Eq PatchId # |
Instance details Defined in Darcs.Patch.Index.Types Methods (==) :: PatchId -> PatchId -> Bool # (/=) :: PatchId -> PatchId -> Bool #
Ord PatchId # |
Instance details Defined in Darcs.Patch.Index.Types Methods compare :: PatchId -> PatchId -> Ordering # (<) :: PatchId -> PatchId -> Bool # (<=) :: PatchId -> PatchId -> Bool # (>) :: PatchId -> PatchId -> Bool # (>=) :: PatchId -> PatchId -> Bool # max :: PatchId -> PatchId -> PatchId # min :: PatchId -> PatchId -> PatchId #

pid2string :: PatchId -> String #

short :: PatchId -> Int #

zero :: PatchId #

makePatchID :: PatchInfo -> PatchId #